oracle.cloud.scanning.api.config

## Enum Result.ResultSeverity

- java.lang.Object
- - java.lang.Enum<Result.ResultSeverity>
  - - oracle.cloud.scanning.api.config.Result.ResultSeverity

- All Implemented Interfaces:
    Serializable, Comparable<Result.ResultSeverity>
  Enclosing class:
    Result

      public static enum Result.ResultSeverity
      extends Enum<Result.ResultSeverity>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `HINT`
    `WARNING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCaption()`
    `static Result.ResultSeverity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Result.ResultSeverity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HINT

          public static final Result.ResultSeverity HINT

    - #### WARNING

          public static final Result.ResultSeverity WARNING

    - #### ERROR

          public static final Result.ResultSeverity ERROR

  - ### Method Detail

    - #### values

          public static Result.ResultSeverity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Result.ResultSeverity c : Result.ResultSeverity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Result.ResultSeverity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCaption

          public String getCaption()

Copyright © 2018 Oracle. All rights reserved.